function output = leggi_pw(input)

%folderPath = 'C:\Users\ricca\Documents\MATLAB\Lavori_tesi\TOP_TESI\pw_hsn';  % Cambia con il tuo percorso
folderPath=input;

% Ottieni tutti i file di testo nella cartella
fileList = dir(fullfile(folderPath,'*.txt'));

% Inizializza una cella per memorizzare i dati
data = cell(1, numel(fileList));

% Loop attraverso i file e leggi i dati
for i = 1:numel(fileList)
    filePath = fullfile(folderPath, fileList(i).name); % Percorso completo del file
    data{i} = readmatrix(filePath); % Leggi il file e memorizzalo nella cella
end

output=data;

% Visualizza i dati del primo file (opzionale)
% disp(data{1});

end